org.h2.expression.function

## Enum ToChar.Capitalization

- java.lang.Object
- - java.lang.Enum<ToChar.Capitalization>
  - - org.h2.expression.function.ToChar.Capitalization

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ToChar.Capitalization>

Enclosing class:
  ToChar

    public static enum ToChar.Capitalization
    extends java.lang.Enum<ToChar.Capitalization>

Represents a capitalization / casing strategy.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CAPITALIZE` The string is capitalized (first letter uppercased, subsequent letters lowercased).
`LOWERCASE` All letters are lowercased.
`UPPERCASE` All letters are uppercased.

### Method Summary

Methods
`java.lang.String` `apply(java.lang.String s)` Applies this capitalization strategy to the specified string.
`static ToChar.Capitalization` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ToChar.Capitalization[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UPPERCASE

    public static final ToChar.Capitalization UPPERCASE

All letters are uppercased.

#### LOWERCASE

    public static final ToChar.Capitalization LOWERCASE

All letters are lowercased.

#### CAPITALIZE

    public static final ToChar.Capitalization CAPITALIZE

The string is capitalized (first letter uppercased, subsequent letters lowercased).

### Method Detail

#### values

    public static ToChar.Capitalization[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ToChar.Capitalization c : ToChar.Capitalization.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ToChar.Capitalization valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### apply

    public java.lang.String apply(java.lang.String s)

Applies this capitalization strategy to the specified string.

Parameters:
  `s` - the string to apply this strategy to
Returns:
  the resultant string